## org.apache.batik.parser
Class FragmentIdentifierParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.NumberParser
              org.apache.batik.parser.FragmentIdentifierParser

All Implemented Interfaces:
  Localizable, Parser

public class FragmentIdentifierParser
extends NumberParser

This class represents an event-based parser for the SVG fragment identifiers.

Field Summary
`protected char[]` `buffer` The buffer used for numbers.
`protected int` `bufferSize` The buffer size.
`protected FragmentIdentifierHandler` `fragmentIdentifierHandler` The FragmentIdentifierHandler.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`FragmentIdentifierParser()` Creates a new FragmentIdentifier parser.

Method Summary
`protected void` `bufferize()` Adds the current character to the buffer.
`protected void` `doParse()` Parses the current reader.
`protected java.lang.String` `getBufferContent()` Returns the content of the buffer.
`FragmentIdentifierHandler` `getFragmentIdentifierHandler()` Returns the points handler in use.
`protected void` `parseIdentifier()` Parses an identifier.
`protected void` `parseMatrix()` Parses a matrix transform.
`protected void` `parsePreserveAspectRatio()` Parses a PreserveAspectRatio attribute.
`protected void` `parseRotate()` Parses a rotate transform.
`protected void` `parseScale()` Parses a scale transform.
`protected void` `parseSkew()` Parses a skew transform.
`protected void` `parseTranslate()` Parses a translate transform.
`protected void` `parseViewAttributes()` Parses the svgView attributes.
`void` `setFragmentIdentifierHandler(FragmentIdentifierHandler handler)` Allows an application to register a fragment identifier handler.
`protected void` `skipCommaSpaces()` Skips the whitespaces and an optional comma.
`protected void` `skipIdentifier()` Skips characters in the given reader until a white space is encountered.
`protected void` `skipSpaces()` Skips the whitespaces in the current reader.
`protected void` `skipTransform()` Skips characters in the given reader until a ')' is encountered.

Methods inherited from class org.apache.batik.parser.NumberParser
`buildFloat, parseFloat`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportError, setErrorHandler, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    protected char[] buffer

  The buffer used for numbers.

### bufferSize

    protected int bufferSize

  The buffer size.

### fragmentIdentifierHandler

    protected FragmentIdentifierHandler fragmentIdentifierHandler

  The FragmentIdentifierHandler.

Constructor Detail

### FragmentIdentifierParser

    public FragmentIdentifierParser()

  Creates a new FragmentIdentifier parser.

Method Detail

### setFragmentIdentifierHandler

    public void setFragmentIdentifierHandler(FragmentIdentifierHandler handler)

  Allows an application to register a fragment identifier handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getFragmentIdentifierHandler

    public FragmentIdentifierHandler getFragmentIdentifierHandler()

  Returns the points handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           java.io.IOException

  Parses the current reader.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `java.io.IOException`

### parseViewAttributes

    protected void parseViewAttributes()
                                throws ParseException,
                                       java.io.IOException

  Parses the svgView attributes.

  Throws:
    `ParseException`
    `java.io.IOException`

### parseIdentifier

    protected void parseIdentifier()
                            throws ParseException,
                                   java.io.IOException

  Parses an identifier.

  Throws:
    `ParseException`
    `java.io.IOException`

### getBufferContent

    protected java.lang.String getBufferContent()

  Returns the content of the buffer.

### bufferize

    protected void bufferize()

  Adds the current character to the buffer.

### skipSpaces

    protected void skipSpaces()
                       throws java.io.IOException

  Skips the whitespaces in the current reader.

  Overrides:
    `skipSpaces` in class `AbstractParser`
  Throws:
    `java.io.IOException`

### skipCommaSpaces

    protected void skipCommaSpaces()
                            throws java.io.IOException

  Skips the whitespaces and an optional comma.

  Overrides:
    `skipCommaSpaces` in class `AbstractParser`
  Throws:
    `java.io.IOException`

### parseMatrix

    protected void parseMatrix()
                        throws ParseException,
                               java.io.IOException

  Parses a matrix transform. 'm' is assumed to be the current character.

  Throws:
    `ParseException`
    `java.io.IOException`

### parseRotate

    protected void parseRotate()
                        throws ParseException,
                               java.io.IOException

  Parses a rotate transform. 'r' is assumed to be the current character.

  Returns:
    the current character.
  Throws:
    `ParseException`
    `java.io.IOException`

### parseTranslate

    protected void parseTranslate()
                           throws ParseException,
                                  java.io.IOException

  Parses a translate transform. 't' is assumed to be the current character.

  Returns:
    the current character.
  Throws:
    `ParseException`
    `java.io.IOException`

### parseScale

    protected void parseScale()
                       throws ParseException,
                              java.io.IOException

  Parses a scale transform. 'c' is assumed to be the current character.

  Returns:
    the current character.
  Throws:
    `ParseException`
    `java.io.IOException`

### parseSkew

    protected void parseSkew()
                      throws ParseException,
                             java.io.IOException

  Parses a skew transform. 'e' is assumed to be the current character.

  Returns:
    the current character.
  Throws:
    `ParseException`
    `java.io.IOException`

### skipTransform

    protected void skipTransform()
                          throws java.io.IOException

  Skips characters in the given reader until a ')' is encountered.

  Returns:
    the first character after the ')'.
  Throws:
    `java.io.IOException`

### parsePreserveAspectRatio

    protected void parsePreserveAspectRatio()
                                     throws ParseException,
                                            java.io.IOException

  Parses a PreserveAspectRatio attribute.

  Throws:
    `ParseException`
    `java.io.IOException`

### skipIdentifier

    protected void skipIdentifier()
                           throws java.io.IOException

  Skips characters in the given reader until a white space is encountered.

  Returns:
    the first character after the space.
  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.